# This file created by conda-build 24.5.1
# ------------------------------------------------

package:
  name: libcurl
  version: 8.8.0
source:
  sha256: 40d3792d38cfa244d8f692974a567e9a5f3387c547579f1124e95ea2a1020d0d
  url: http://curl.haxx.se/download/curl-8.8.0.tar.bz2
build:
  number: 1
  run_exports:
    - libcurl >=8.8.0,<9.0a0
  string: hca28451_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - binutils_linux-64 2.40 hb3c18ed_9
    - gcc_impl_linux-64 12.3.0 h58ffeeb_13
    - gcc_linux-64 12.3.0 h9528a6a_9
    - kernel-headers_linux-64 2.6.32 he073ed8_17
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libgcc-devel_linux-64 12.3.0 h6b66f73_113
    - libgcc-ng 14.1.0 h77fa898_0
    - libgomp 14.1.0 h77fa898_0
    - libsanitizer 12.3.0 hb8811af_13
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - sysroot_linux-64 2.12 he073ed8_17
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - c-ares 1.28.1 hd590300_0
    - ca-certificates 2024.6.2 hbcca054_0
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libgcc-ng 14.1.0 h77fa898_0
    - libgomp 14.1.0 h77fa898_0
    - libnghttp2 1.58.0 h47da74e_1
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - libzlib 1.2.13 h4ab18f5_6
    - ncurses 6.5 h59595ed_0
    - openssl 3.3.1 h4ab18f5_1
    - zlib 1.2.13 h4ab18f5_6
    - zstd 1.5.6 ha6fb4c9_0
  run:
    - krb5 >=1.21.3,<1.22.0a0
    - libgcc-ng >=12
    - libnghttp2 >=1.58.0,<2.0a0
    - libssh2 >=1.11.0,<2.0a0
    - libzlib >=1.2.13,<2.0a0
    - openssl >=3.3.1,<4.0a0
    - zstd >=1.5.6,<1.6.0a0
test:
  commands:
    - curl-config --features
    - curl-config --protocols
    - test -f ${PREFIX}/lib/libcurl${SHLIB_EXT}
    - test ! -f ${PREFIX}/lib/libcurl.a
    - CURL_SSL_BACKENDS=$(curl-config --ssl-backends)
    - if ! echo $CURL_SSL_BACKENDS | grep -q "OpenSSL"; then exit 1; fi
about:
  description: 'Curl is an open source command line tool and library for transferring
    data

    with URL syntax. It is used in command lines or scripts to transfer data.

    '
  dev_url: https://github.com/curl/curl
  doc_source_url: https://github.com/curl/curl/tree/master/docs
  doc_url: https://curl.haxx.se/docs/
  home: http://curl.haxx.se/
  license: curl
  license_family: MIT
  license_file: COPYING
  summary: tool and library for transferring data with URL syntax
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20240628.1.1
  recipe-maintainers:
    - jakirkham
    - mingwandroid
    - msarahan
    - ocefpaf
    - xylar
  remote_url: https://github.com/conda-forge/curl-feedstock
  sha: 2b9b154d8f9ff359f15bbcd7673c214f5f4b49e9
